Address: -NL- 45 Compton Road -NL- **`Mucahit Bayar`[NAME]** -NL- LONDON -NL- N21 3NU -NL- United Kingdom -NL- **`0 771 025 25 21`[PHONES_PHONE]** -NL- **`mucahit.bayar@mucahitbayar.com`[EMAILS_EMAIL]** -NL- **`SKILLS`[SKILLS_HEADING]** -NL- **`Languages:`[OTHERS_HEADING]** -NL- Scala, Java, Python, C# , C, C++, Swift , Android, JavaScript, SQL -NL- Frameworks -NL- Apache Spark, Apache Kafka, Apache Hadoop, Machine Learning, NLP , -NL- Asp.Net, Entity Framework , WCF, Web API, JQuery, KnockoutJS, -NL- AngularJS -NL- Databases: -NL- Cassandra , MongoDB , Redis, SQL Server, Oracle 11g, MS Access , -NL- MySql, , Solr -NL- Tools and -NL- Microsoft Azure, Hortonworks, Visual Studio,Team Foundation Server (TFS) -NL- Platforms: -NL- ,Git , Octopus, ReSharper , IntelliJ Idea , Eclipse, PyCharm, QT Creator, -NL- Vault, Devexpress , Telerik -NL- Design -NL- OOP (SOLID), SOA, TDD, DDD, UML, Patterns, ORM, IoC, Agile, SCRUM -NL- Cloud -NL- AWS, Azure -NL- **`WORK EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- 23.06.2014- Present -NL- **`Lead Developer`[EMPLOYER_ROLE]** , **`Ve Interactive`[EMPLOYER_COMPANY_NAME]** ,London ,United Kingdom -NL- Building high scalable and high throughput distributed cloud based systems -NL- on multiple data pipelines. We currently process and analyze 440 Million -NL- product points daily with cutting edge technologies such as Scala, Apache -NL- Spark (Batch, Sql, Streaming), Apache Kafka, Apache Hadoop -NL- (Hortonworks), MongoDB, Redis, Python, Apache Solr. Natural Language -NL- Processing and Apache Spark Machine Learning to Validate, Transform, -NL- Extract features, predict departments and related meta data, aggregate -NL- data and save the data to storage by Test Driven Development (TDD) to -NL- consume by API or make available to search by Solr search engine. All the -NL- server and services are managed on Azure Cloud. -NL- 06.03.2013- **`Software Developer`[EMPLOYER_ROLE]**, **`Crate Enterprises`[EMPLOYER_COMPANY_NAME]** ,London ,United Kingdom 02.01.2014 -NL- Involved in Development of Financial applications such as Account and -NL- Loan calculations and comparison tools, Financial planning tools and -NL- Financial tracking tools for major UK financial companies and banks to allow -NL- their clients to filter, compare and find fitted accounts or tools as a software -NL- developer in Agile/SCRUM team environment by using Asp.net, C#, MVC 4, -NL- Sql server 2012,Windows Azure, Cloud ,Sql server Azure,Visual Studio -NL- 2012,TFS , Javascript, JQuery, Knockoutjs, HTML5, CSS3,Bootstrap, Entity -NL- Framework 5 (Code First), SOAP , XML,StructureMap, Nunit, Automapper, -NL- Moq, RhinoMock, Agile Metodologies, SCRUM, TDD -Test Driven -NL- Development. All the server and services are managed on Azure Cloud. -NL- I have also worked with other Business users/members and Clients to -NL- achieve business requirements and client’s expectations. I have involved in -NL- multiple projects and each project had a separate team consisting several -NL- team members focused on their fields, Project Managers, Product -NL- Managers, Developers, Designers and Directors. -NL- 09.2012- 04.12.2012 -NL- **`Software Developer`[EMPLOYER_ROLE]**, **`Syncoms`[EMPLOYER_COMPANY_NAME]** ,London ,United Kingdom -NL- Involved in all aspects of software engineering in highly complex enterprise -NL- Ecommerce applications to maintain and improve mostly web applications -NL- and related applications by TDD -Test driven Development and their social -NL- media integration to Facebook , Instagram ,Google Drive and Tumblr as a -NL- contractor for 3 months by using Asp.net C#,Sql server 2008,Visual Studio -NL- 2010,Vault ,XHtml , Javascript, JQuery,Unit Testing, Nunit. -NL- 08.2011- 06.2012 **`Software Developer`[EMPLOYER_ROLE]**, **`Istanbul Patent Ofisi `[EMPLOYER_COMPANY_NAME]**,Ankara ,Turkey -NL- Worked as a .Net developer undertaking the following activities; -NL- Development of Hotel Management System ,Tourism Network System and -NL- Brand (Patent) Management System by TDD -Test driven Development and -NL- using Asp.net (web portal) ,WinForms and Devexpress (Hotel Management -NL- system and Brand Management system), WCF,Data Entity Framework -NL- (Code First),sql server 2008,Visual Studio 2010,Team Foundation -NL- Server ,XHtml , Javascript, JQuery ,Unit Testing, Nunit, Devexpress. We -NL- have built some part of the projects by Test Driven Development approach. -NL- 07.2010 – 04.2011 **`Software Developer`[EMPLOYER_ROLE]**, **`Mag Sayısal Yazılım`[EMPLOYER_COMPANY_NAME]** ,Ankara, Turkey -NL- Taken .Net developer position in the development of Ministry Of Foreign -NL- Affairs Web Portal and set of applications such as Identity application , -NL- Account Management ,Border management , passport and appointment -NL- applications by TDD -Test driven Development and Using Asp.net, -NL- C#,VB.NET, Sql Server 2008,Ajax, WCF ( Windows Communication -NL- Foundation ), TFS ( Team Foundation Server ) ,XHtml , JQuery , Javascript -NL- . -NL- 03.2010 – 06.2010 **`Software Developer`[EMPLOYER_ROLE]**, **`MITS`[EMPLOYER_COMPANY_NAME]** ,Ankara, Turkey -NL- Taken Senior .Net developer position in the development of Web based -NL- Virtual Medical Events, With **`MITS`[EMPLOYER_COMPANY_NAME]** Virtual Medical Events , you can -NL- accomplish anything you could in a medical conference, workshop, CME -NL- event, or a medical tradeshow by TDD -Test driven Development and -NL- Using Asp.net, C#, Sql Server 2005, Ajax , XHtml , JQuery , Microsoft -NL- Visual SourceSafe, Enterprise Library 5 . -NL- 03.2009 – 01.2010 **`Software Developer`[EMPLOYER_ROLE]**, **`Play Online`[EMPLOYER_COMPANY_NAME]** ,Krakow, Poland -NL- Development of Web based application which allows customers to bet -NL- online, calculate bet statistics and apply this statistics to betting rates as a -NL- Senior .Net developer. I was responsible for analysis, design, coding, unit -NL- testing and management of the modules and projects by using TDD -Test -NL- driven Development and .Using Asp.net, C#, Sql Server 2005, MySql, Ajax , -NL- Html, XHtml ,Xml , JQuery , Javascript, Telerik . -NL- 04.2008 – 08.2008 **`Software Developer`[EMPLOYER_ROLE]**, **`Last Digital Ltd`[EMPLOYER_COMPANY_NAME]**, Nicosia , Turkish Republic of North -NL- Cyprus -NL- Developed Encrypted and secured Document management system for -NL- Presidency of Turkish Republic of Northern Cyprus and 4 integrated web -NL- based systems for Cyprus Turkish Airlines to Allow customers to reserve car, -NL- book hotel rooms, holidays and buy online tickets from Cyprus Turkish -NL- Airlines by . I was responsible to Analyze custom system requirements, -NL- system development, Testing and management by TDD -Test driven -NL- Development and Using Asp.net, C#, Sql Server 2005, Ajax, Devexpress. -NL- 03.2007 – 04.2008 **`Software Developer`[EMPLOYER_ROLE]**, **`Teknobil Internet and Web Technologies`[EMPLOYER_COMPANY_NAME]**, Istanbul, -NL- Turkey -NL- Taken .Net developer position in the development of web based application -NL- software projects for Turkish City municipality. -NL- I was responsible for analysis, design, coding and sustaining of the Project. -NL- By Using Asp.net, C#, Sql Server 2005, Ajax, Devexpress. -NL- 06.2004 – 10.2006 **`Software Developer`[EMPLOYER_ROLE]**, **`Star Sport Betting`[EMPLOYER_COMPANY_NAME]** , Kyrenia , Turkish Republic of -NL- North Cyprus -NL- Developed Web based application which allows customers to bet online, -NL- calculate bet statistics and apply statistics to betting rates. I was responsible -NL- for analysis, design, coding, unit testing, management of the modules and -NL- projects .Using Asp.net, C#, Sql Server 2000. -NL- 02.2003 – 06.2004 **`Software Developer`[EMPLOYER_ROLE]**, **`Disop Betting`[EMPLOYER_COMPANY_NAME]**, Kyrenia, Turkish Republic of North -NL- Cyprus -NL- Development of some Projects and modules by using c#,asp.net and -NL- Sql server 2000 for **`Disop Betting`[EMPLOYER_COMPANY_NAME]** ltd to collect customer’s details ,betting -NL- statistics and allow customers to bet online on the betting website. -NL- 03.2001 – 06.2002 **`Software Developer`[EMPLOYER_ROLE]**, **`Divan Computer`[EMPLOYER_COMPANY_NAME]**, Van, Turkey -NL- Developing windows application for Customers .Invoice & Stock Control -NL- System software by using Borland Delphi and Ms Access Database. -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- 09.2002 – 01.2010 **`BS`[EDUCATION_DEGREE]** in **`Computer Engineering`[EDUCATION_COURSE]**, **`Girne American University`[EDUCATION_INSTITUTE]** -NL- Kyrenia, N. Cyprus -NL- Studied with half scholarship based on high score in the universities -NL- entrance exam, scholarship granted by government. -NL- 09.2000 – 06.2002 **`Computer Programming`[EDUCATION_DEGREE]**, 100. yil university -NL- Van, Turkey -NL- Graduated by the highest score. -NL- TRAININGS & CERTIFICATION -NL- 08.2011 – 10.2011 OCA Oracle Database 11g Administrator Certified Associate - 3 Months , -NL- Amac Yazilim , Ankara , Turkey -NL- 10.2004 – 04.2005 Software Engineering Training – 6 Months, Westminster College of -NL- Computing, London, United Kingdom -NL- 10.2001- 04.2002 Cisco Certified Network Associate-6 Months,100. Yil University, -NL- Van ,Turkey -NL- **`LANGUAGES`[OTHERS_HEADING]** -NL- Turkish (native), English , Polish (basic) -NL- 